<header class="header header--bar">
    <a href="/{{langPrefix}}"><img src="/assets/shared/svg/logo/logo--white.svg" alt="{{translate 'basic-claim'}}" class="header__logo" width="200" height="31"></a>
    <div class="header__right">
        <a href="/sell/" target="_blank" class="header__link header__agents" onclick="return trackEvent('startpage','click_on_button','sell');">
            {{translate 'basic-header-button-sell'}}
        </a>
        <div class="button button--transparent header__user j-userNav">
            <i class="zsicon-user"></i> <span class="j-headerUserName"></span> 
            <script type="text/javascript">document.querySelector(".j-headerUserName").innerHTML=window.zs.user.name||window.zs.user.email||""</script>
            <i class="zsicon-angle-down small"></i>
            <span class="header__menu">
                <a href="/{{langPrefix}}s/" class="item item-icon--left">
                    <i class="icon zsicon-search"></i> {{translate "basic-header-menu-item-search" "Meine Suchergebnisse"}}
                </a>
                <a href="/{{langPrefix}}s/profile/" class="item item-icon--left">
                    <i class="icon zsicon-gear"></i> {{translate "basic-header-menu-item-mydata" "Meine Daten"}}
                </a>
                <a href="#" class="item item-icon--left j-logout">
                    <i class="icon zsicon-logout"></i> {{translate "basic-header-menu-item-logout" "Logout"}}
                </a>
            </span>
        </div>
        <a href="/{{langPrefix}}s/login" class="button button--transparent header__login" onclick="return trackLink(this,'startpage','click_on_button','login');">
            <i class="zsicon-user"></i> {{translate 'basic-login'}}
        </a>
        <a href="/{{langPrefix}}s/register" class="button button--transparent header__reg" onclick="return trackLink(this,'startpage','click_on_button','registrieren');">
            <i class="zsicon-user"></i> {{translate 'basic-register'}}
        </a>
        <a class="button button--assertive header__search-button" href="/s/" onclick="return trackLink(this,'startpage','click_on_button','alle_immo_finden');">
            <i class="zsicon-search"></i> {{translate 'basic-header-button-search' 'Alle Immobilien durchsuchen'}}</a>
        <div class="button button--transparent header__mobilenav j-nav-button">
            <div class="burger-menu x j-burger">
                <span class="lines"></span>
            </div>
        </div>
    </div>
    <div class="header__mobilenav-container j-nav">
        <a class="item item-icon--left header__mobilenav-entry header__login--mobile" href="/{{langPrefix}}s/login" onclick="return trackLink(this,'startpage','click_on_button','login');">
            <i class="icon zsicon-user"></i> {{translate 'basic-login'}}
        </a>
        <a class="item item-icon--left header__mobilenav-entry header__reg--mobile" href="/{{langPrefix}}s/register" onclick="return trackLink(this,'startpage','click_on_button','registrieren');">
            <i class="icon zsicon-user"></i> {{translate 'basic-register'}}
        </a>
        <a href="/{{langPrefix}}s/" class="item item-icon--left header__mobilenav-entry header__user--mobile">
            <i class="icon zsicon-search"></i> {{translate "basic-header-menu-item-search" "Meine Suchergebnisse"}}
        </a>
        <a href="/{{langPrefix}}s/profile/" class="item item-icon--left header__mobilenav-entry header__user--mobile">
            <i class="icon zsicon-gear"></i> {{translate "basic-header-menu-item-mydata" "Meine Daten"}}
        </a>
        <a href="#" class="item item-icon--left header__mobilenav-entry header__user--mobile j-logout">
            <i class="icon zsicon-logout"></i> {{translate "basic-header-menu-item-logout" "Logout"}}
        </a>
        <a class="item item-icon--left header__mobilenav-entry" href="/sell/" target="_blank" onclick="return trackEvent('startpage','click_on_button','sell');">
            <i class="icon zsicon-search"></i> {{translate 'basic-header-button-sell'}}
        </a>
    </div>
</header>
<script type="text/javascript">
    (function(){
        var zsLoggedIn = false;

        function getCookie(name) {
          var value = "; " + document.cookie;
          var parts = value.split("; " + name + "=");
          if (parts.length == 2) return parts.pop().split(";").shift();
        }

        var cookie = getCookie('zs_token');

        if (cookie) {
            try {
                token = cookie.split('.');
                decodedToken = JSON.parse(atob(token[1]));
                expDate = decodedToken.exp;
                if (new Date(expDate).getTime() > new Date().getTime()) {
                    zsLoggedIn = true
                }
            } catch(e) {
                zsLoggedIn = true
            }
        }

        if (zsLoggedIn) {
            document.querySelector("body").className += ' logged-in';
        }

        var logoutButtons = document.querySelectorAll(".j-logout")
        for(var i=0;i<logoutButtons.length;i++){
            logoutButtons[i].addEventListener('click', function(e){
                e.preventDefault();
                localStorage.removeItem("zs_token");
                document.cookie = 'zs_token=; expires=Thu, 01 Jan 1970 00:00:00 UTC; path=/';
                document.querySelector("body").className = document.querySelector("body").className.replace(/(?:^|\s)logged-in(?!\S)/g , '');
                zsModal.showNotification({
                    type: 'success',
                    content: '{{translate "basic-header-flash-logout-success" "Du wurdest erfolgreich ausgelogged."}}'
                });
            });    
        }
        
    })();
</script>